org.appng.search.searcher

## Class GermanSearchTermProcessor

- java.lang.Object
- - org.appng.search.searcher.GermanSearchTermProcessor

- All Implemented Interfaces:
    SearchTermProcessor

      public class GermanSearchTermProcessor
      extends Object
      implements SearchTermProcessor

  This class is used to replace special characters from the search terms.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GermanSearchTermProcessor()`
    `GermanSearchTermProcessor(Map<String,String> searchTerms)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `cleanSearchWord(String term)` remove special characters from the search term.
    `org.apache.lucene.analysis.Analyzer` | `getAnalyzer()` Gets the `Analyzer` used while processing
    `String` | `getSearchTerm(String searchWord)` Processes the search term.
    `String` | `removeUmlauts(String term)` replace German special alphabet.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GermanSearchTermProcessor

          public GermanSearchTermProcessor()

    - #### GermanSearchTermProcessor

          public GermanSearchTermProcessor(Map<String,String> searchTerms)

  - ### Method Detail

    - #### getSearchTerm

          public String getSearchTerm(String searchWord)

      Description copied from interface: `SearchTermProcessor`
      Processes the search term.
      Specified by:
        `getSearchTerm` in interface `SearchTermProcessor`
      Parameters:
        `searchWord` - the term to process
      Returns:
        the processed term

    - #### removeUmlauts

          public String removeUmlauts(String term)

      replace German special alphabet.
      Parameters:
        `term` - the term
      Returns:
        the term without german Umlaut characters

    - #### cleanSearchWord

          public String cleanSearchWord(String term)

      remove special characters from the search term.
      Parameters:
        `term` -
      Returns:
        the cleaned search term

    - #### getAnalyzer

          public org.apache.lucene.analysis.Analyzer getAnalyzer()

      Description copied from interface: `SearchTermProcessor`
      Gets the `Analyzer` used while processing
      Specified by:
        `getAnalyzer` in interface `SearchTermProcessor`
      Returns:
        the `Analyzer`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.